property

  {HTMLElement} container

property

  {string} url

property

  {import("ol/source/Vector").default} source

property

  {import("ol/View").default} view

### Hierarchy

- Search

## Index

### Constructors

- constructor

### Methods

- getResultValue_
- hasGeometry_
- onSubmit_
- search_

## Constructors

### constructor

- new Search(options: SearchOptions): Search

- - Defined in api/src/Search.js:34

  #### Parameters

  - ##### options: SearchOptions

    API options.

  #### Returns Search

## Methods

### getResultValue_

- getResultValue_(result: Feature<Geometry, {}>): any

- - Defined in api/src/Search.js:88

  #### Parameters

  - ##### result: Feature<Geometry, {}>

  #### Returns any

### hasGeometry_

- hasGeometry_(feature: Feature<Geometry, {}>): boolean

- - Defined in api/src/Search.js:81

  #### Parameters

  - ##### feature: Feature<Geometry, {}>

  #### Returns boolean

### onSubmit_

- onSubmit_(result: Feature<Geometry, {}>): void

- - Defined in api/src/Search.js:95

  #### Parameters

  - ##### result: Feature<Geometry, {}>

  #### Returns void

### search_

- search_(input: string): Promise<any>

- - Defined in api/src/Search.js:64

  #### Parameters

  - ##### input: string

  #### Returns Promise<any>

Generated using TypeDoc